<?php

error_reporting(0);

if(isset($_GET["fechaInicial"])){

  $fechaInicial = $_GET["fechaInicial"];
  $fechaFinal = $_GET["fechaFinal"];

}else{

$fechaInicial = null;
$fechaFinal = null;

}

$respuesta = ControladorVentas::ctrRangoFechasVentas($fechaInicial, $fechaFinal);

$arrayId = array();
$arrayCantidad = array();
$sumaCantidades = array();

foreach ($respuesta as $key => $value) {

  $listaProductos = json_decode($value["productos"], true);

  foreach ($listaProductos as $key => $value1) {

      #Capturamos sólo el año y el mes
      $id = $value1["id"];
      #Introducir las fechas en arrayFechas
      array_push($arrayId, $id);
    
      #Capturamos las ventas
      $arrayCantidad = array($id => $value1["cantidad"]);

      #Sumamos los pagos que ocurrieron el mismo mes
      foreach ($arrayCantidad as $key => $value) {
        
        $sumaCantidades[$key] += $value;
      }
    

  }
}

$noRepetirId = array_unique($arrayId);


$noRepetir1 = array_values(array_unique($arrayId));


$arrayProductos = [];
  
$i = 0;

while($i < count($noRepetir1)){

      $item = "id";

      $valor= $noRepetir1[$i];
    
      $productos = ControladorProductos::ctrMostrarProductos($item, $valor);

      array_push($arrayProductos, $productos[0]["descripcion"]);

     // var_dump($productos[0]["descripcion"]);

      $i++;

  }

  //var_dump($arrayProductos);
?>


<div class="card bg-gradient-light">
      
      <div class="card-header border-0 ui-sortable-handle">
          <span class="fas fa-th"> GRAFICO DE PRODUCTOS</span>
      </div>

      <div class="card-body border-radius-none nuevoGraficoVentas">

        <div class="tab-content p-0">

          <div class="chart" id="line-chart-ventas"  style="height: 350px;"></div>
          
        </div>

      </div>

</div>

    

<script>
	
 var line = new Morris.Bar({
    element          : 'line-chart-ventas',
    data             : [

    <?php


      $i1 = 0;

	    foreach($noRepetirId as $key ){

	    	echo "{ y: '".$arrayProductos[$i1]."', Cantidad: ".$sumaCantidades[$key]."},";

        $i1++;

	    }


    ?>

    ],
    xkey             : 'y',
    ykeys            : ['Cantidad'],
    labels           : ['Cantidad'],
    lineColors       : ['#22BCBE', '#3D91FF'],
    lineWidth        : 3,
    gridStrokeWidth  : 0.4,
    pointSize        : 4,
    resize           : true,
    pointStrokeColors: ['#eef0f2'],
    gridLineColor    : '#eef0f2',
    gridTextFamily   : 'Open Sans',
    preUnits         : '',
    gridTextSize     : 10
  });

</script>

          

